package com.yanzhu.jh.trouble.service;

import java.util.List;
import com.yanzhu.jh.trouble.domain.SmzSspMarks;

/**
 * 质量留痕Service接口
 * 
 * @author JiangYuQi
 * @date 2023-07-28
 */
public interface ISmzSspMarksService 
{
    /**
     * 查询质量留痕
     * 
     * @param id 质量留痕主键
     * @return 质量留痕
     */
    public SmzSspMarks selectSmzSspMarksById(String id);

    /**
     * 查询质量留痕列表
     * 
     * @param smzSspMarks 质量留痕
     * @return 质量留痕集合
     */
    public List<SmzSspMarks> selectSmzSspMarksList(SmzSspMarks smzSspMarks);

    /**
     * 新增质量留痕
     * 
     * @param smzSspMarks 质量留痕
     * @return 结果
     */
    public int insertSmzSspMarks(SmzSspMarks smzSspMarks);

    /**
     * 修改质量留痕
     * 
     * @param smzSspMarks 质量留痕
     * @return 结果
     */
    public int updateSmzSspMarks(SmzSspMarks smzSspMarks);

    /**
     * 批量删除质量留痕
     * 
     * @param ids 需要删除的质量留痕主键集合
     * @return 结果
     */
    public int deleteSmzSspMarksByIds(String[] ids);

    /**
     * 删除质量留痕信息
     * 
     * @param id 质量留痕主键
     * @return 结果
     */
    public int deleteSmzSspMarksById(String id);
}
